tigase.jaxmpp.core.client.xmpp.modules.auth

## Enum SaslModule.SaslError

- java.lang.Object
- - java.lang.Enum<SaslModule.SaslError>
  - - tigase.jaxmpp.core.client.xmpp.modules.auth.SaslModule.SaslError

- All Implemented Interfaces:
    Serializable, Comparable<SaslModule.SaslError>
  Enclosing class:
    SaslModule

      public static enum SaslModule.SaslError
      extends Enum<SaslModule.SaslError>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `aborted` The receiving entity acknowledges an <abort/> element sent by the initiating entity; sent in reply to the <abort/> element.
    `account_disabled`
    `credentials_expired`
    `encryption_required`
    `incorrect_encoding` The data provided by the initiating entity could not be processed because the BASE64 encoding is incorrect (e.g., because the encoding does not adhere to the definition in Section 3 of BASE64); sent in reply to a <response/> element or an <auth/> element with initial response data.
    `invalid_authzid` The authzid provided by the initiating entity is invalid, either because it is incorrectly formatted or because the initiating entity does not have permissions to authorize that ID; sent in reply to a <response/> element or an <auth/> element with initial response data.
    `invalid_mechanism` The initiating entity did not provide a mechanism or requested a mechanism that is not supported by the receiving entity; sent in reply to an <auth/> element.
    `malformed_request`
    `mechanism_too_weak` The mechanism requested by the initiating entity is weaker than server policy permits for that initiating entity; sent in reply to a <response/> element or an <auth/> element with initial response data.
    `not_authorized` he authentication failed because the initiating entity did not provide valid credentials (this includes but is not limited to the case of an unknown username); sent in reply to a <response/> element or an <auth/> element with initial response data.
    `server_not_trusted`
    `temporary_auth_failure` The authentication failed because of a temporary error condition within the receiving entity; sent in reply to an <auth/> element or <response/> element.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SaslModule.SaslError` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SaslModule.SaslError[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### aborted

          public static final SaslModule.SaslError aborted

      The receiving entity acknowledges an <abort/> element sent by the initiating entity; sent in reply to the <abort/> element.

    - #### incorrect_encoding

          public static final SaslModule.SaslError incorrect_encoding

      The data provided by the initiating entity could not be processed because the BASE64 encoding is incorrect (e.g., because the encoding does not adhere to the definition in Section 3 of BASE64); sent in reply to a <response/> element or an <auth/> element with initial response data.

    - #### invalid_authzid

          public static final SaslModule.SaslError invalid_authzid

      The authzid provided by the initiating entity is invalid, either because it is incorrectly formatted or because the initiating entity does not have permissions to authorize that ID; sent in reply to a <response/> element or an <auth/> element with initial response data.

    - #### invalid_mechanism

          public static final SaslModule.SaslError invalid_mechanism

      The initiating entity did not provide a mechanism or requested a mechanism that is not supported by the receiving entity; sent in reply to an <auth/> element.

    - #### mechanism_too_weak

          public static final SaslModule.SaslError mechanism_too_weak

      The mechanism requested by the initiating entity is weaker than server policy permits for that initiating entity; sent in reply to a <response/> element or an <auth/> element with initial response data.

    - #### not_authorized

          public static final SaslModule.SaslError not_authorized

      he authentication failed because the initiating entity did not provide valid credentials (this includes but is not limited to the case of an unknown username); sent in reply to a <response/> element or an <auth/> element with initial response data.

    - #### server_not_trusted

          public static final SaslModule.SaslError server_not_trusted

    - #### temporary_auth_failure

          public static final SaslModule.SaslError temporary_auth_failure

      The authentication failed because of a temporary error condition within the receiving entity; sent in reply to an <auth/> element or <response/> element.

    - #### account_disabled

          public static final SaslModule.SaslError account_disabled

    - #### credentials_expired

          public static final SaslModule.SaslError credentials_expired

    - #### encryption_required

          public static final SaslModule.SaslError encryption_required

    - #### malformed_request

          public static final SaslModule.SaslError malformed_request

  - ### Method Detail

    - #### values

          public static SaslModule.SaslError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SaslModule.SaslError c : SaslModule.SaslError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SaslModule.SaslError valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2023 Tigase. All rights reserved.